Contacts
Search Contacts
Search the resolved contacts using a search key, currently supports email search (Page size = 15). Resolved contacts are the ones with a value for identifier, email or phone number
Authorization
userApiKey api_access_token<token>
This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.
In: header
Path Parameters
account_id*integer
The numeric ID of the account
Query Parameters
q?string
Search using contact name, identifier, email or phone number
sort?string
The attribute by which list should be sorted
page?integer
The page parameter
Response Body
application/json
application/json
curl -X GET "https://example.com/api/v1/accounts/0/contacts/search"{
"meta": {
"count": 0,
"current_page": "string"
},
"payload": [
{
"additional_attributes": {
"city": "string",
"country": "string",
"country_code": "string",
"created_at_ip": "string"
},
"availability_status": "online",
"email": "string",
"id": 0,
"name": "string",
"phone_number": "string",
"blocked": true,
"identifier": "string",
"thumbnail": "string",
"custom_attributes": {},
"last_activity_at": 0,
"created_at": 0,
"contact_inboxes": [
{
"source_id": "string",
"inbox": {
"id": 0,
"avatar_url": "string",
"channel_id": 0,
"name": "string",
"channel_type": "string",
"provider": "string"
}
}
]
}
]
}{
"description": "string",
"errors": [
{
"field": "string",
"message": "string",
"code": "string"
}
]
}